New: Seller performance endpoints
Date: September 24, 2026
Walmart has added Seller Performance APIs to the Insights API. The new endpoints provide performance summaries and order-level reports for key seller metrics, including negative feedback, returns, Item Not Received, and late shipment performance. These updates apply to Seller Performance APIs in the Insights API for the U.S. Marketplace.
What changed
-
Negative feedback
- Added
GET /v3/insights/performance/negativeFeedback/summaryto retrieve negative feedback performance metrics. - Added
GET /v3/insights/performance/negativeFeedback/reportto retrieve an order-level Microsoft Excel (.xlsx) report.
- Added
-
Returns
- Added
GET /v3/insights/performance/returns/summaryto retrieve returns performance metrics. - Added
GET /v3/insights/performance/returns/reportto retrieve an order-level Microsoft Excel (.xlsx) report. - The summary endpoint supports
conditionType. Allowed values:ALL,NEW,RESOLD. - The report endpoint supports
conditionType. Allowed values:NEW,RESOLD.
- Added
-
Item Not Received
- Added
GET /v3/insights/performance/itemNotReceived/summaryto retrieve Item Not Received performance metrics. - Added
GET /v3/insights/performance/itemNotReceived/reportto retrieve an order-level Microsoft Excel (.xlsx) report.
- Added
-
Late shipment
- Added
GET /v3/insights/performance/lateShipment/summaryto retrieve late shipment performance metrics. - Added
GET /v3/insights/performance/lateShipment/reportto retrieve an order-level Microsoft Excel (.xlsx) report. - The
reportDurationparameter supports14,30,60,90. - The
shippingMethodparameter supportsALL_METHODS,TWO_DAY,ONE_DAY.
- Added
-
Performance response fields
- Summary responses can include
performanceStandardandperformanceRiskLevel. - Allowed
performanceRiskLevelvalues:GOOD,MONITOR,URGENT. - Summary responses can also include seller-accountable drivers, non-accountable drivers, impacted orders, trends, and recommendations.
- Summary responses can include
-
Refunds deprecation
GET /v3/insights/performance/refunds/summaryis deprecated.GET /v3/insights/performance/refunds/reportis deprecated.- Both Refunds endpoints are scheduled for removal on March 27, 2027.
- Migrate to the Returns Performance and Item Not Received APIs.
Scope
The new endpoints cover negative feedback, returns, Item Not Received, and late shipment performance.
Why it matters
The new Seller Performance APIs provide more detailed performance insights and order-level reporting so sellers can identify performance issues, understand contributing drivers, and take action based on affected orders.
Next steps
- Add the new Seller Performance endpoints to your integration as needed.
- Use the summary endpoints to monitor performance metrics and contributing drivers.
- Use the report endpoints to retrieve order-level Microsoft Excel (
.xlsx) reports for further investigation. - Set the
WM_GLOBAL_VERSIONheader to3.1andWM_MARKETheader tous. - Update integrations that use the deprecated Refunds endpoints before March 27, 2027.
- For more information and usage examples, refer to the Insights API Guide.

